com.genesyslab.wfm7.API.service.config761

## Class CfgProfileDetails

- java.lang.Object
- - com.genesyslab.wfm7.API.service.config761.CfgProfileDetails

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgProfileDetails
      extends java.lang.Object
      implements java.io.Serializable

  CfgAgentDetails is used to specify details level of Agent information requeted
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `infoType` Profile details level (`ECfgInfoType`)
    `private boolean` | `provideActivityInfo` Specifies whether to provide Activity information or not
    `private boolean` | `provideBUInfo` Specifies whether to provide Business Unit information or not
    `private boolean` | `provideContractInfo` Specifies whether to provide Agent's Contract information or not
    `private boolean` | `provideSiteInfo` Specifies whether to provide Site information or not

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgProfileDetails()`
    `CfgProfileDetails(int infoType, boolean provideActivityInfo, boolean provideContractInfo, boolean provideSiteInfo, boolean provideBUInfo)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getInfoType()` Gets the infoType value for this CfgProfileDetails.
    `boolean` | `isProvideActivityInfo()` Gets the provideActivityInfo value for this CfgProfileDetails.
    `boolean` | `isProvideBUInfo()` Gets the provideBUInfo value for this CfgProfileDetails.
    `boolean` | `isProvideContractInfo()` Gets the provideContractInfo value for this CfgProfileDetails.
    `boolean` | `isProvideSiteInfo()` Gets the provideSiteInfo value for this CfgProfileDetails.
    `void` | `setInfoType(int infoType)` Sets the infoType value for this CfgProfileDetails.
    `void` | `setProvideActivityInfo(boolean provideActivityInfo)` Sets the provideActivityInfo value for this CfgProfileDetails.
    `void` | `setProvideBUInfo(boolean provideBUInfo)` Sets the provideBUInfo value for this CfgProfileDetails.
    `void` | `setProvideContractInfo(boolean provideContractInfo)` Sets the provideContractInfo value for this CfgProfileDetails.
    `void` | `setProvideSiteInfo(boolean provideSiteInfo)` Sets the provideSiteInfo value for this CfgProfileDetails.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### infoType

          private int infoType

      Profile details level (`ECfgInfoType`)

    - #### provideContractInfo

          private boolean provideContractInfo

      Specifies whether to provide Agent's Contract information or not

    - #### provideActivityInfo

          private boolean provideActivityInfo

      Specifies whether to provide Activity information or not

    - #### provideSiteInfo

          private boolean provideSiteInfo

      Specifies whether to provide Site information or not

    - #### provideBUInfo

          private boolean provideBUInfo

      Specifies whether to provide Business Unit information or not

  - ### Constructor Detail

    - #### CfgProfileDetails

          public CfgProfileDetails()

    - #### CfgProfileDetails

          public CfgProfileDetails(int infoType,
                           boolean provideActivityInfo,
                           boolean provideContractInfo,
                           boolean provideSiteInfo,
                           boolean provideBUInfo)

  - ### Method Detail

    - #### getInfoType

          public int getInfoType()

      Gets the infoType value for this CfgProfileDetails.
      Returns:
        infoType

    - #### setInfoType

          public void setInfoType(int infoType)

      Sets the infoType value for this CfgProfileDetails.
      Parameters:
        `infoType` -

    - #### isProvideActivityInfo

          public boolean isProvideActivityInfo()

      Gets the provideActivityInfo value for this CfgProfileDetails.
      Returns:
        provideActivityInfo

    - #### setProvideActivityInfo

          public void setProvideActivityInfo(boolean provideActivityInfo)

      Sets the provideActivityInfo value for this CfgProfileDetails.
      Parameters:
        `provideActivityInfo` -

    - #### isProvideContractInfo

          public boolean isProvideContractInfo()

      Gets the provideContractInfo value for this CfgProfileDetails.
      Returns:
        provideContractInfo

    - #### setProvideContractInfo

          public void setProvideContractInfo(boolean provideContractInfo)

      Sets the provideContractInfo value for this CfgProfileDetails.
      Parameters:
        `provideContractInfo` -

    - #### isProvideSiteInfo

          public boolean isProvideSiteInfo()

      Gets the provideSiteInfo value for this CfgProfileDetails.
      Returns:
        provideSiteInfo

    - #### setProvideSiteInfo

          public void setProvideSiteInfo(boolean provideSiteInfo)

      Sets the provideSiteInfo value for this CfgProfileDetails.
      Parameters:
        `provideSiteInfo` -

    - #### isProvideBUInfo

          public boolean isProvideBUInfo()

      Gets the provideBUInfo value for this CfgProfileDetails.
      Returns:
        provideBUInfo

    - #### setProvideBUInfo

          public void setProvideBUInfo(boolean provideBUInfo)

      Sets the provideBUInfo value for this CfgProfileDetails.
      Parameters:
        `provideBUInfo` -

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.